# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ libssl-devel
# END SourceDeps(oneline)
Name:		voms-mysql-plugin
Version:	3.1.6
Release:	alt1_3
Summary:	VOMS server plugin for MySQL

Group:		System/Libraries
License:	ASL 2.0
URL:		https://wiki.italiangrid.it/twiki/bin/view/VOMS
#		This source tarball is created from a git checkout:
#		git clone git://github.com/italiangrid/voms-mysql-plugin.git
#		cd voms-mysql-plugin
#		git archive --format tar --prefix voms-mysql-plugin-3.1.6/ \
#		  3_1_6 | gzip - > ../voms-mysql-plugin-3.1.6.tar.gz
Source:		%{name}-%{version}.tar.gz

Provides:	voms-mysql = %{version}-%{release}
Obsoletes:	voms-mysql < 3.1.6
Requires:	voms-server%{?_isa}
BuildRequires:	libtool
BuildRequires:	libmysqlclient-devel
BuildRequires:	openssl%{?_isa}
Source44: import.info

%description
The Virtual Organization Membership Service (VOMS) is an attribute authority
which serves as central repository for VO user authorization information,
providing support for sorting users into group hierarchies, keeping track of
their roles and other attributes in order to issue trusted attribute
certificates and SAML assertions used in the Grid environment for
authorization purposes.

This package offers the MySQL implementation for the VOMS server.

%prep
%setup -q
./autogen.sh

%build
%configure --libdir=%{_libdir}/voms --disable-static
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT

rm $RPM_BUILD_ROOT%{_libdir}/voms/libvomsmysql.la

%files
%{_datadir}/voms/voms-mysql.data
%{_datadir}/voms/voms-mysql-compat.data
%dir %{_libdir}/voms
%{_libdir}/voms/libvomsmysql.so

%changelog
* Mon Apr 29 2013 Igor Vlasenko <viy@altlinux.ru> 3.1.6-alt1_3
- initial fc import

